<?php

class cUsuariopv{			

	function insertar_user_ptoventa($user,$ptoventa){

		$sql = "

		INSERT INTO `tb_usuariopv`(

		`tb_usuariopv_id`,

		`tb_usuario_id`,

		`tb_puntoventa_id`,

		`tb_usuariopv_xac`,

		`tb_usuariopv_def`

		) VALUES (NULL,$user, $ptoventa, 1, 0)";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function ultimoInsert()

	{

		$sql   = "SELECT last_insert_id()";

		$oCado = new Cado();

		$rst   = $oCado->ejecute_sql($sql);

		return $rst;

	}	

	function modificar($usu_id,$nom,$ape,$ema,$tel,$dir,$dni,$blo,$usugru_id,$usuper_id){

		$sql="UPDATE tb_usuario SET 

		`tb_usuario_nom` = '$nom', 

		`tb_usuario_ape` = '$ape', 

		`tb_usuario_ema` = '$ema', 

		`tb_usuario_tel` = '$tel', 

		`tb_usuario_dir` = '$dir', 

		`tb_usuario_dni` = '$dni', 

		`tb_usuario_mod` = NOW(), 

		`tb_usuario_blo` = '$blo', 

		`tb_usuariogrupo_id` = '$usugru_id', 

		`tb_usuarioperfil_id` = '$usuper_id' 

		WHERE tb_usuario_id = $usu_id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	function mostrarUno($usu_id){

		$sql="SELECT * 

		FROM  tb_usuario u

		INNER JOIN tb_usuariogrupo ug ON u.tb_usuariogrupo_id = ug.tb_usuariogrupo_id

		INNER JOIN tb_usuarioperfil up ON up.tb_usuarioperfil_id=u.tb_usuarioperfil_id	

		WHERE u.tb_usuario_id =$usu_id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}	

	// para la funtcion detalle usuario en administrador validar

	function mostrarUnos($id){

		$sql="SELECT * 

		FROM  `tb_usuario` 

		WHERE tb_usuario_id =$id";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}



	function acceso($use,$pas){

		$sql="SELECT * FROM tb_usuario WHERE tb_usuario_use='$use' AND tb_usuario_pas=MD5('$pas');";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	function registroAcceso($id){

		$sql="SELECT * 

		FROM tb_usuario u

		INNER JOIN tb_usuariogrupo g ON u.tb_usuariogrupo_id=g.tb_usuariogrupo_id

		INNER JOIN tb_empresa e ON u.tb_empresa_id=e.tb_empresa_id

		WHERE tb_usuario_id=$id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	



	function modificarUltimaVisita($id){

		$sql="UPDATE tb_usuario SET

		`tb_usuario_ultvis` =  NOW( ) 

		WHERE tb_usuario_id=$id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}



	function modificar_campo($id, $campo, $valor)

	{

		$sql= "UPDATE tb_usuariopv SET

		`tb_usuariopv_$campo`= '$valor'

		WHERE tb_usuariopv_id =$id;";

		$oCado = new Cado();

		$rst   = $oCado->ejecute_sql($sql);

		return $rst;

	}



		function resucitar_puntoventa($punven, $user)

	{

		$sql= "UPDATE tb_usuariopv

		SET tb_usuariopv_xac = 1 

		WHERE tb_puntoventa_id = '$punven'

		AND tb_usuario_id='$user'";

		$oCado = new Cado();

		$rst   = $oCado->ejecute_sql($sql);

		return $rst;

	}



	



 //

	function marcar_pordefecto($iduser)

	{

		$sql= "UPDATE  tb_usuariopv  

		SET tb_usuariopv_def  = 0

		WHERE tb_usuario_id  = $iduser";

		$oCado = new Cado();

		$rst   = $oCado->ejecute_sql($sql);

		return $rst;

	}



	function marcar_pordefecto1($iduserpv)

	{

		$sql= "UPDATE tb_usuariopv 

		SET tb_usuariopv_def = 1 

		WHERE tb_usuariopv_id = $iduserpv";

		$oCado = new Cado();

		$rst   = $oCado->ejecute_sql($sql);

		return $rst;

	}







// FILTRA X GRUPO A TODOS LOS USUARIOS

	function filtrar($usugru_id,$mos){

		$sql="SELECT u.tb_usuario_id, u.tb_usuario_nom, u.tb_usuario_ape, upv.tb_puntoventa_id, pv.tb_puntoventa_nom, ug.tb_usuariogrupo_nom 

		FROM tb_usuario u LEFT JOIN tb_usuariopv upv ON upv.tb_usuario_id = u.tb_usuario_id 

		LEFT JOIN tb_usuariogrupo ug ON u.tb_usuariogrupo_id=ug.tb_usuariogrupo_id 

		LEFT JOIN tb_puntoventa PV ON upv.tb_puntoventa_id = pv.tb_puntoventa_id 

		WHERE u.tb_usuario_xac = 1 ";

		if($usugru_id>0)$sql.="	AND u.tb_usuariogrupo_id='$usugru_id' "; 	



		$sql.=" group by u.tb_usuario_id";

	//echo $sql;exit;

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}



	function obtener_pv_defecto($usu_id){

		$sql="SELECT  pv.tb_puntoventa_id, pv.tb_puntoventa_nom ,upv.tb_piso_id FROM tb_usuario u 

		LEFT JOIN tb_usuariopv upv ON upv.tb_usuario_id = u.tb_usuario_id 

		LEFT JOIN tb_puntoventa pv ON upv.tb_puntoventa_id = pv.tb_puntoventa_id 

		WHERE u.tb_usuario_id ='$usu_id' and upv.tb_usuariopv_def=1 limit 1"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}



//_______________________

	function mostrar_nombreusuario($usuario_id){

		$sql="SELECT tb_usuario_nom FROM tb_usuario

		WHERE tb_usuario_id = $usuario_id";



		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}



	function mostrar_puntosdevista($usuario_id){

		$sql="

		SELECT upv.tb_usuariopv_id, u.tb_usuario_nom, upv.tb_puntoventa_id, upv.tb_usuariopv_def, pv.tb_puntoventa_nom 

		FROM tb_usuariopv upv 

		left JOIN tb_usuario u ON upv.tb_usuario_id = u.tb_usuario_id 

		LEFT JOIN tb_puntoventa PV ON upv.tb_puntoventa_id = pv.tb_puntoventa_id 

		WHERE upv.tb_usuariopv_xac= 1 and u.tb_usuario_id = $usuario_id";



		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}



	function verifica_ptodeventa_usuario($user,$ptoventa){

		$sql="SELECT tb_usuariopv_id FROM `tb_usuariopv` WHERE `tb_usuario_id` = $user and `tb_puntoventa_id` = $ptoventa";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}





}

?>